ubuntu/+source/heat:ubuntu/trusty-updates

Last commit made on 2015-06-24
Get this branch:
git clone -b ubuntu/trusty-updates https://git.launchpad.net/ubuntu/+source/heat
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/trusty-updates
Repository:
lp:ubuntu/+source/heat

Recent commits

87745c5... by Corey Bryant on 2015-06-22

Import patches-unapplied version 2014.1.5-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: eff3518d40d626acfe5090634a4d09f51291672d

New changelog entries:
  * Resynchronize with stable/icehouse (314437f) (LP: #1467533):
    - [eb22b01] Fix cloud-init Python syntax for Python < 2.6
    - [314437f] Patch 033 migration to work w/ MySQL 5.6
  * d/p/fix-requirements.patch: Rebased

eff3518... by Corey Bryant on 2015-03-30

Import patches-unapplied version 2014.1.4-0ubuntu2 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 0362414ccd3d3fc12123c7dbf902fba244c601d4

New changelog entries:
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

0362414... by Corey Bryant on 2015-03-19

Import patches-unapplied version 2014.1.4-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 281de4a3039b3eccda290f2d378f46ca3ba7a500

New changelog entries:
  * Resynchronize with stable/icehouse (2b4f7be) (LP: #1432608):
    - [678ea13] Use empty list in list_join for validation
    - [0b984b8] Call server volume detach only once
    - [5a34e4f] Use environment file in template-validate
    - [60cbd5b] Catch NotFound error during loadbalancer deleting
    - [006b959] Prevent excessive validation for maxPersonality limit
    - [2b4f7be] Only delete stack user project from correct domain
  * d/p/fix-requirements.patch: Rebased

281de4a... by Chuck Short on 2014-10-06

Import patches-unapplied version 2014.1.3-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 5b821fe6165d91fe969611e0ef486a06c3ed20a6

New changelog entries:
  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (986563e) (LP: #1377136):
    - [3cebf6d] Handle NotFoundException when deleting alarm
    - [c1c48e2] Support multiple heatclient versions for SD
    - [986563e] Set python hash seed to 0 in tox.ini
  * d/p/fix-requirements.patch: Rebased.

5b821fe... by Corey Bryant on 2014-08-08

Import patches-unapplied version 2014.1.2-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 739ad093f032ce419a904be5a8de81efe9fd8593

New changelog entries:
  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (6facf30) (LP: #1354159):
    - [48ed483] Stop periodic watcher tasks before deleting stack
    - [a855f5d] Sync threadgroup module from the oslo stable branch
    - [bd4ed52] Move novaclient exceptions to heat.tests.v1_1.fakes
    - [2db68e5] Pass the parent's registry into child stacks
    - [57f8eaa] Fix String Parameter Receive a unicode
    - [2aee296] Allow metadata updates to provider resources
    - [a39ee7c] Do no re-validate parameters for existing stacks
    - [aa7c030] Do not validate constraints in schema constructor
    - [6facf30] Ensure routing key is specified in the address for a direct producer
  [ James Page ]
  * d/watch: Use tarballs.openstack.org for release artifacts.

739ad09... by Corey Bryant on 2014-06-09

Import patches-unapplied version 2014.1.1-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 0d1c209326a297304e8fbbcfae68b89e4d04b119

New changelog entries:
  * Resynchronize with stable/icehouse (27557c9) (LP: #1328134):
    - [368b6d3] Avoid redundant polling of DB for metadata
    - [0f92683] Fix failed to delete the NovaFloatingIPAssociation resource
    - [930cb3c] Fix status reason in events for deployment signals
    - [4b9ff4f] Truncate status_reason to column length
    - [3c560c6] Catch NotFound for keystone delete operations
    - [e63baf6] Using correct attribute of exception
    - [08154b0] Allow NotFound to be created without args
    - [857ca78] Updated from global requirements
    - [03dd894] Don't dynamically create provider types in the global env
    - [937ac5a] Ignore nova limits set to '-1'
    - [27557c9] Don't pass enable_snat by default in Router
  * d/p/fix-requirements.patch: Drop minimum version of six to align to Ubuntu
    14.04 version.

0d1c209... by Chuck Short on 2014-04-17

Import patches-unapplied version 2014.1-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 13b72fd4539694327398092628ac6709b375ac0b

New changelog entries:
  [ Chuck Short ]
  * New upstream release. (LP: #1299055)
  * debian/heat-common.postinst: Create directory before changing
    permissions. (LP: #1267557)
  [ Corey Bryant ]
  * New upstream release (LP: #1299055).

13b72fd... by Chuck Short on 2014-04-14

Import patches-unapplied version 2014.1~rc2-0ubuntu3 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 8dad9c3ea89f432fa23c08616407d374243ec87b

New changelog entries:
  * debian/heat-common.postinst: Fix failing autopkg test.

8dad9c3... by Chuck Short on 2014-04-14

Import patches-unapplied version 2014.1~rc2-0ubuntu2 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: dd896231f098b99ed391ac201953df7d47f5c355

New changelog entries:
  * Fix up packaging based on Ubuntu Security Team review (LP: #1267557):
    - debian/control: Drop python-sendfile since it is no longer
      needed.
    - debian/heat-common.install: Correct permissions of /etc/heat.
    - debian/patches/sudoers_patch.patch: Change the directory location
      for the sudoers so that it users the standard /etc/sudoers.d
      directory.

dd89623... by Chuck Short on 2014-04-10

Import patches-unapplied version 2014.1~rc2-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6fdad257a2e0f73dcd01982f52752b632c8c8081

New changelog entries:
  * New upstream release candidate (LP: #1299055).
  * debian/patches/fix-requirements.patch: Don't install
    python-qpid since we use python-kombu by default (LP: #1296912).